
 

#include <avr/io.h>		
#include <avr/interrupt.h>	

#include "global.h"		
#include "uart.h"		
#include "rprintf.h"	
#include "timer.h"		
#include "a2d.h"	
#include "vt100.h"		
#include "LM35_Lib.h"



int main(void)
{
	

	u16 a=0;
	
	// initialize the UART 
	uartInit();
	rprintfInit(uartSendByte);

	// initialize the timer system
	timerInit();



	// Startup message
	vt100ClearScreen();
	vt100SetCursorPos(1,1);
	vt100SetCursorMode(0);
	rprintf("Auslesen des Temperatursensors!\r\n");
	




   
	while(1)
	{
	
		//zum anfang
		vt100SetCursorPos(2,1);
	
			
			vt100SetAttr(VT100_USCORE_OFF);

			//eine Zeile frei zum startup-text
			rprintf("  \r\n");
		
		
			rprintf("Gemessener LM35 ADC-Wert : %d \r\n",getLM35ADCValue());
			
		
			//gemessene Spannung
			short voltage = (short)getLM35MeasuredVoltage();
			rprintf("Gemessene Spannung  : %d \r\n", voltage);

			//Gemessene Temperatur
			short temperature = (short)getLM35MeasuredTemperature();
			rprintf("Gemessene Temperatur: %d \r\n",temperature);

	
			vt100SetAttr(VT100_USCORE);
			// print sample number 
			rprintf("Sample # : %d   \r\n", a++);
	}


 
	
 
	
	return 0;
}
